Creates a new AI agent for the account. The agent will be created with the specified configuration including name, role, actions, and behavior settings.
POST https://services.leadconnectorhq.com/conversation-ai/agentsAuthorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Body
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
name | string | Yes | John Doe | Name of the agent. |
businessName | string | No | Tech Corp | Name of the business the agent represents. |
mode | string | No | auto-pilot | Mode of operation - OFF, SUGGESTIVE, or AUTO_PILOT Possible values: 'off', 'suggestive', 'auto-pilot' |
channels | string[] | No | Communication channels the agent can operate on | |
isPrimary | boolean | No | True | Indicates if this agent is a primary agent. |
waitTime | number | No | 2 | Wait time before agent responds (max 5 for minutes, 300 for seconds) |
waitTimeUnit | string | No | seconds | Unit for wait time - SECONDS or MINUTES Possible values: 'minutes', 'seconds' |
sleepEnabled | boolean | No | False | Indicates if sleep functionality is enabled. |
sleepTime | number | No | 2 | Duration of sleep period (required if sleepEnabled is true). Set to null for indefinite sleep. (max 2880 for minutes, 172800 for seconds, 48 for hours) |
sleepTimeUnit | string | No | hours | Unit of sleep time - HOURS, MINUTES, or SECONDS (required if sleepEnabled is true). Set to null for indefinite sleep. Possible values: 'hours', 'minutes', 'seconds' |
personality | string | Yes | Friendly and helpful | Personality traits of the agent. |
goal | string | Yes | Assist customers with inquiries. | The goal of the agent. |
instructions | string | Yes | Provide customer service. | Instructions for the agent. |
autoPilotMaxMessages | number | No | 75 | Maximum number of messages in auto-pilot mode before requiring human intervention. (max: 100, min: 1) |
knowledgeBaseIds | string[] | No | Array of knowledge base IDs associated with this agent. | |
respondToImages | boolean | No | True | Allow agent to respond to images |
respondToAudio | boolean | No | True | Allow agent to respond to audio |
sleepOnManualMessage | boolean | No | False | Enable sleep when a manual outbound message is sent. |
sleepOnWorkflowMessage | boolean | No | False | Enable sleep when a workflow outbound message is sent. |
Responses
201 - Successful response
id(string, required): Unique identifier for the agent. Example:emp_123name(string, required): Name of the agent. Example:John DoebusinessName(string): Name of the business the agent represents. Example:Tech Corpmode(string, required): Current operating mode of the agent. Possible values: 'off', 'suggestive', 'auto-pilot' Example:auto-pilotchannels(string[], required): Communication channels the agent operates on.waitTime(number, required): Wait time before agent responds. Example:30waitTimeUnit(string, required): Unit for wait time. Possible values: 'minutes', 'seconds' Example:secondssleepEnabled(boolean, required): Indicates if sleep functionality is enabled. Example:FalsesleepTime(number): Duration of sleep period. Example:2sleepTimeUnit(string): Unit of sleep time. Possible values: 'hours', 'minutes', 'seconds' Example:hoursactions(object[], required): List of actions associated with this agent.id(string, required): Unique identifier for the action. Example:actionId123type(string, required): type of action. Possible values: 'triggerWorkflow', 'updateContactField', 'appointmentBooking', 'stopBot', 'humanHandOver', 'advancedFollowup', 'transferBot' Example:triggerWorkflow
isPrimary(boolean, required): Indicates if this agent is a primary agent. Example:FalseautoPilotMaxMessages(number, required): Maximum number of messages in auto-pilot mode before requiring human intervention. Example:25goal(string): The goal of the agent. Example:Assist customers with inquiriespersonality(string): Personality traits of the agent. Example:Friendly and helpfulinstructions(string): Instructions for the agent. Example:Provide excellent customer serviceknowledgeBaseIds(string[]): Array of knowledge base IDs associated with this agent.sleepOnManualMessage(boolean): Whether the bot sleeps on manual outbound messages. Example:FalsesleepOnWorkflowMessage(boolean): Whether the bot sleeps on workflow outbound messages. Example:False
{
"id": "emp_123",
"name": "John Doe",
"businessName": "Tech Corp",
"mode": "auto-pilot",
"channels": [
"SMS",
"Live_Chat"
],
"waitTime": 30,
"waitTimeUnit": "seconds",
"sleepEnabled": false,
"sleepTime": 2,
"sleepTimeUnit": "hours",
"actions": [
{
"id": "actionId123",
"type": "triggerWorkflow"
}
],
"isPrimary": false,
"autoPilotMaxMessages": 25,
"goal": "Assist customers with inquiries",
"personality": "Friendly and helpful",
"instructions": "Provide excellent customer service",
"knowledgeBaseIds": [
"kb_123",
"kb_456"
],
"sleepOnManualMessage": false,
"sleepOnWorkflowMessage": false
}400 - Bad Request
{}422 - Unprocessable Entity
{}Example
curl -X POST 'https://services.leadconnectorhq.com/conversation-ai/agents' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"name": "John Doe",
"businessName": "Tech Corp",
"mode": "auto-pilot",
"channels": [
"SMS",
"Live_Chat",
"WhatsApp"
],
"isPrimary": true,
"waitTime": 2,
"waitTimeUnit": "seconds",
"sleepEnabled": false,
"sleepTime": 2,
"sleepTimeUnit": "hours",
"personality": "Friendly and helpful",
"goal": "Assist customers with inquiries.",
"instructions": "Provide customer service.",
"autoPilotMaxMessages": 75,
"knowledgeBaseIds": [
"string"
],
"respondToImages": true,
"respondToAudio": true,
"sleepOnManualMessage": false,
"sleepOnWorkflowMessage": false
}'const response = await fetch('https://services.leadconnectorhq.com/conversation-ai/agents', {
method: 'POST',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
'Content-Type': 'application/json',
},
body: JSON.stringify({"name": "John Doe", "businessName": "Tech Corp", "mode": "auto-pilot", "channels": ["SMS", "Live_Chat", "WhatsApp"], "isPrimary": true, "waitTime": 2, "waitTimeUnit": "seconds", "sleepEnabled": false, "sleepTime": 2, "sleepTimeUnit": "hours", "personality": "Friendly and helpful", "goal": "Assist customers with inquiries.", "instructions": "Provide customer service.", "autoPilotMaxMessages": 75, "knowledgeBaseIds": ["string"], "respondToImages": true, "respondToAudio": true, "sleepOnManualMessage": false, "sleepOnWorkflowMessage": false}),
});
const data = await response.json();import os, requests
response = requests.request(
'POST',
'https://services.leadconnectorhq.com/conversation-ai/agents',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
'Content-Type': 'application/json',
},
json={"name": "John Doe", "businessName": "Tech Corp", "mode": "auto-pilot", "channels": ["SMS", "Live_Chat", "WhatsApp"], "isPrimary": true, "waitTime": 2, "waitTimeUnit": "seconds", "sleepEnabled": false, "sleepTime": 2, "sleepTimeUnit": "hours", "personality": "Friendly and helpful", "goal": "Assist customers with inquiries.", "instructions": "Provide customer service.", "autoPilotMaxMessages": 75, "knowledgeBaseIds": ["string"], "respondToImages": true, "respondToAudio": true, "sleepOnManualMessage": false, "sleepOnWorkflowMessage": false},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/conversation-ai/agents');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode({'name': 'John Doe', 'businessName': 'Tech Corp', 'mode': 'auto-pilot', 'channels': ['SMS', 'Live_Chat', 'WhatsApp'], 'isPrimary': true, 'waitTime': 2, 'waitTimeUnit': 'seconds', 'sleepEnabled': false, 'sleepTime': 2, 'sleepTimeUnit': 'hours', 'personality': 'Friendly and helpful', 'goal': 'Assist customers with inquiries.', 'instructions': 'Provide customer service.', 'autoPilotMaxMessages': 75, 'knowledgeBaseIds': ['string'], 'respondToImages': true, 'respondToAudio': true, 'sleepOnManualMessage': false, 'sleepOnWorkflowMessage': false}),
]);
$data = json_decode(curl_exec($ch), true);